/*
SQLyog Ultimate v8.71 
MySQL - 5.5.20 : Database - migration
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`migration` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `migration`;

/*Table structure for table `contacts` */

CREATE TABLE `contacts` (
  `AVSFQB__Quickbooks_Id__c` varchar(255) DEFAULT NULL,
  `AccountId` varchar(255) DEFAULT NULL,
  `FirstName` varchar(255) DEFAULT NULL,
  `AssistantPhone` varchar(255) DEFAULT NULL,
  `Description` varchar(255) DEFAULT NULL,
  `Email` varchar(255) DEFAULT NULL,
  `Fax` varchar(255) DEFAULT NULL,
  `MailingCity` varchar(255) DEFAULT NULL,
  `LastName` varchar(255) DEFAULT NULL,
  `AssistantName` varchar(255) DEFAULT NULL,
  `MailingCountry` varchar(255) DEFAULT NULL,
  `MailingPostalCode` varchar(255) DEFAULT NULL,
  `MailingState` varchar(255) DEFAULT NULL,
  `MailingStreet` varchar(255) DEFAULT NULL,
  `MobilePhone` varchar(255) DEFAULT NULL,
  `OtherCity` varchar(255) DEFAULT NULL,
  `OtherCountry` varchar(255) DEFAULT NULL,
  `OtherPostalCode` varchar(255) DEFAULT NULL,
  `OtherState` varchar(255) DEFAULT NULL,
  `OtherStreet` varchar(255) DEFAULT NULL,
  `Phone` varchar(255) DEFAULT NULL,
  `Salutation` varchar(255) DEFAULT NULL,
  `Title` varchar(255) DEFAULT NULL,
  `Status` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `customers` */

CREATE TABLE `customers` (
  `AVSFQB__Quickbooks_Id__c` varchar(225) NOT NULL,
  `BillingCity` varchar(225) DEFAULT NULL,
  `BillingCountry` varchar(225) DEFAULT NULL,
  `BillingPostalCode` varchar(225) DEFAULT NULL,
  `BillingState` varchar(225) DEFAULT NULL,
  `BillingStreet` varchar(225) DEFAULT NULL,
  `Fax` varchar(225) DEFAULT NULL,
  `Name` varchar(225) DEFAULT NULL,
  `FullName` varchar(225) DEFAULT NULL,
  `Phone` varchar(225) DEFAULT NULL,
  `ShippingCity` varchar(225) DEFAULT NULL,
  `ShippingCountry` varchar(225) DEFAULT NULL,
  `ShippingPostalCode` varchar(225) DEFAULT NULL,
  `ShippingState` varchar(225) DEFAULT NULL,
  `ShippingStreet` varchar(225) DEFAULT NULL,
  `Sublevel` varchar(225) DEFAULT NULL,
  `Status` varchar(225) DEFAULT NULL,
  PRIMARY KEY (`AVSFQB__Quickbooks_Id__c`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `items` */

CREATE TABLE `items` (
  `AVSFQB__QuickBooks_ItemType__c` varchar(255) DEFAULT NULL,
  `AVSFQB__Quickbooks_Id__c` varchar(255) NOT NULL,
  `Description` varchar(255) DEFAULT NULL,
  `Family` varchar(255) DEFAULT NULL,
  `IsActive` varchar(255) DEFAULT NULL,
  `Name` varchar(255) DEFAULT NULL,
  `Pricebook2Id` varchar(255) DEFAULT NULL,
  `UnitPrice` varchar(255) DEFAULT NULL,
  `AVSFQB__COGS__c` varchar(255) DEFAULT NULL,
  `AVSFQB__OnHand__c` varchar(255) DEFAULT NULL,
  `Status` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`AVSFQB__Quickbooks_Id__c`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `oppheader` */

CREATE TABLE `oppheader` (
  `Name` varchar(1500) DEFAULT NULL,
  `AccountId` varchar(1000) DEFAULT NULL,
  `AVSFQB__Quickbooks_Id__c` varchar(255) NOT NULL,
  `AVSFQB__Generate_Object__c` varchar(100) DEFAULT NULL,
  `CloseDate` varchar(200) DEFAULT NULL,
  `StageName` varchar(200) DEFAULT NULL,
  `Sublevel` varchar(100) DEFAULT NULL,
  `Status` varchar(100) DEFAULT NULL,
  `BillingAddress` varchar(255) DEFAULT NULL,
  `BillingCity` varchar(255) DEFAULT NULL,
  `BillingState` varchar(255) DEFAULT NULL,
  `BillingZip` varchar(255) DEFAULT NULL,
  `BillingCountry` varchar(255) DEFAULT NULL,
  `ShippingAddress` varchar(255) DEFAULT NULL,
  `Shippingcity` varchar(255) DEFAULT NULL,
  `ShippingState` varchar(255) DEFAULT NULL,
  `ShippingZip` varchar(255) DEFAULT NULL,
  `ShippingCountry` varchar(255) DEFAULT NULL,
  `PONumber` varchar(255) DEFAULT NULL,
  `Terms` varchar(255) DEFAULT NULL,
  `SalesRep` varchar(255) DEFAULT NULL,
  `DueDate` varchar(255) DEFAULT NULL,
  `TransactionDate` varchar(255) DEFAULT NULL,
  `TransactionNumber` varchar(255) DEFAULT NULL,
  `TaxAmount` varchar(255) DEFAULT NULL,
  `ShipDate` varchar(255) DEFAULT NULL,
  `TotalAmount` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`AVSFQB__Quickbooks_Id__c`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `opplineitem` */

CREATE TABLE `opplineitem` (
  `AVSFQB__Quickbooks_Id__c` varchar(255) NOT NULL,
  `Description` varchar(1000) DEFAULT NULL,
  `OpportunityId` varchar(255) DEFAULT NULL,
  `PricebookEntryId` varchar(255) DEFAULT NULL,
  `Quantity` varchar(255) DEFAULT NULL,
  `UnitPrice` varchar(255) DEFAULT NULL,
  `Status` varchar(255) DEFAULT NULL,
  `QBFullName` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`AVSFQB__Quickbooks_Id__c`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
